if(typeof vBFB_Stream == 'undefined')
{
vBFB_Stream = {};

vBFB_Stream.merge = function(new_list_items) {   
    var old_list = $("#stream_list");   
    old_list.fadeOut(function() {
        old_list.html(new_list_items);
        var mod = $("#filtermodifier").val();
        var type = $("#filtertype").val();
        vBFB_Stream.filter(mod, type);
        $(this).fadeIn(function() {
            fix_canvas();
        });
    });   
};
vBFB_Stream.ajax_response = null;
vBFB_Stream.wait_for_ajax = function(time_waited) {
    if(!time_waited) { time_waited = 0; }
    if(!vBFB_Stream.ajax_response) {
        time_waited += 20;
        if(time_waited == 200) {
            $(".filterheader .loading").animate({opacity: 1.0}, 200);
        }
        setTimeout(function() { vBFB_Stream.wait_for_ajax(time_waited); }, 20);
    } else {       
        var response = $(vBFB_Stream.ajax_response);
        $('#box_view').append(response);
		var to = $('#box_view').children('.category_box').last();        
		var from = $('#box_view').children('.category_box').first();
        to.waitForImages(function() {
            $(".filterheader .loading").stop(true, true).animate({opacity: 0.0}, {duration: 100, queue: false});
            $('#box_view').animate({height: to.height() + 15}, 200, function() {          
                from.remove();		  
                $('#box_view').animate({opacity: 1.0}, 300);
                fix_canvas(); 
                fix_links();
            });
        });
    } 
}
vBFB_Stream.filter = function(mod, type) {
    vBFB_Stream.ajax_response = null;
    $.ajax({
        url : 'category_stream.php?do=update&category='+mod+'_'+type,
        success : function(response) {
           vBFB_Stream.ajax_response = response;
        }
    });
    $('#box_view').animate({opacity:0.0}, 300, vBFB_Stream.wait_for_ajax);
};

vBFB_Stream.doUpdate = function() {
    $.ajax({
        url: 'category_stream.php?do=update',
        async: true,
        success: function(data) {
            vBFB_Stream.merge(data);
        }
    });
};
}